Bug 1564552 - Big performance regression in a game ran through wine on a wayland session
Summary: Big performance regression in a game ran through wine on a wayland session
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 15:25 UTC by Ivan Molodetskikh
Modified: 2018-09-23 20:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-23 20:25:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Ivan Molodetskikh 2018-04-06 15:25:33 UTC
Description of problem:
I'm playing osu! https://osu.ppy.sh/home on wine and I'm experiencing a big performance hit (240+ FPS => 20 FPS) after upgrading from F27 to F28 beta. The performance became bad only on the GNOME Wayland session, launching the Xorg session gives normal performance. Switching fullscreen on and off in-game makes no difference.


Version-Release number of selected component (if applicable):
GNOME 3.28


How reproducible:
Always


Steps to Reproduce:
1. Launch the game on GNOME Wayland and observe the FPS
2. Launch on GNOME Xorg, or on F27 GNOME Wayland and observe the FPS

Actual results:
Bad performance (~20 FPS)


Expected results:
Good performance (240+ FPS)


Additional info:
Installing the game requires winetricks -q dotnet45 corefonts in a 32-bit wine prefix.

Comment 1 Ivan Molodetskikh 2018-04-20 19:13:33 UTC
It became considerably better with the upgrade to GNOME 3.28.1: now I'm getting around 140 FPS in the same game in the menu on Wayland with about 180 on Xorg, and ~240 in-game in both cases which is good.

Another thing I noticed is the game tears on Xorg as it should (I have VSync disabled for reduced input lag and the game is running fullscreen), and it doesn't on Wayland (probably leading to input lag?), but that's unrelated to this bug.

I suppose this should be closed now, not sure what to pick in the status though, so please close this.


Note You need to log in before you can comment on or make changes to this bug.